      SUBROUTINE CHERCHE_INTER(NODE,IREF,NUMNP,NEL)
C
      INTEGER NODE(28,*),IREF(*)
C
      DO 10 I=1,NUMNP
        IREF(I) = 0
   10 CONTINUE
C
      NUM_INTER = 0
      DO 20 N=1,NEL
        DO 30 I=21,26
          IF (NODE(28,N).NE.IREF(NODE(I,N))) THEN
            IF (IREF(NODE(I,N)).GT.0) THEN
              IREF(NODE(I,N)) = -MAX(IREF(NODE(I,N)),NODE(28,N))
     &                       -10*MIN(IREF(NODE(I,N)),NODE(28,N))
CC              PRINT*,'face',I-20,' interface :',IREF(NODE(I,N))
              NUM_INTER = NUM_INTER+1 
            ELSE
              IREF(NODE(I,N)) = NODE(28,N)
            ENDIF
          ENDIF
   30   CONTINUE
   20 CONTINUE
C
      PRINT*,NUM_INTER,
     &' faces sont interfaces de 2 materiaux differents'
      END
